<div class="container">
    <div class="row tky-full-width">

      <div class="col col-md-12 tky-full-width">

          <div style="display: block">
              <canvas baseChart
                      [datasets]="barChartData"
                      [labels]="barChartLabels"
                      [options]="barChartOptions"
                      [legend]="barChartLegend"
                      [chartType]="barChartType"
                      (chartHover)="chartHovered($event)"
                      (chartClick)="chartClicked($event)"></canvas>
            </div>
            <button mat-raised-button class="tky-right" (click)="randomize()">Update</button>


      </div>



      
        
    </div>
</div>
